package com.qmth.exam.reserve.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.exam.reserve.bean.timeperiod.TimePeriodExamSiteBean;
import com.qmth.exam.reserve.entity.TimePeriodEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TimePeriodDao extends BaseMapper<TimePeriodEntity> {

    List<String> listTimePeriod(@Param("taskId") Long taskId);

    List<String> listTimePeriodDate(@Param("taskId") Long taskId);

    List<TimePeriodExamSiteBean> listTimePeriodByExamSiteId(@Param("taskId") Long taskId, @Param("examSiteId") Long examSiteId);

    List<TimePeriodExamSiteBean> listTimePeriodByTask(@Param("taskId") Long taskId);
}
